﻿function GetPluginSettings()
{
    return {
        "name": "TapsellPlus",
        "id": "VinoosTapsellPlus",
        "version": "2.1.6",
        "description":	"Tapsell Plus plugin for construct 2",
        "author": "Vinoos",
        "help url": "http://vinoos.ir/help/plugins/tapsell-plus.php",
        "category": "Vinoos",
        "type": "object",
        "rotatable": false,
        "cordova-plugins": "https://github.com/vinoosir/tapsell-plus-cordova-plugin",
        "flags": 0 | pf_singleglobal

    };
};

//////////////////////////////////////
// Conditions
	AddCondition(0, cf_trigger, "On Banner Opened", "Banner", "On Banner Opened", "On Banner Opened", "onBannerOpened");
	AddCondition(1, cf_trigger, "On Banner Error", "Banner", "On Banner Error", "On Banner Error", "onBannerError");
	
	AddCondition(2, cf_trigger, "On Interstitial Available", "Interstitial", "On Interstitial Available", "On Interstitial Available", "onInterstitialAvailable");
	AddCondition(3, cf_trigger, "On Interstitial NoAd Available", "Interstitial", "On Interstitial NoAd Available", "On Interstitial NoAd Available", "onInterstitialNoAdAvailable");
	AddCondition(4, cf_trigger, "On Interstitial Error", "Interstitial", "On Interstitial Error", "On Interstitial Error", "onInterstitialError");
	AddCondition(5, cf_trigger, "On Interstitial Opened", "Interstitial", "On Interstitial Opened", "On Interstitial Opened", "onInterstitialOpened");
	AddCondition(6, cf_trigger, "On Interstitial Closed", "Interstitial", "On Interstitial Closed", "On Interstitial Closed", "onInterstitialClosed");
	AddCondition(7, cf_trigger, "On Interstitial Rewarded", "Interstitial", "On Interstitial Rewarded", "On Interstitial Rewarded", "onInterstitialRewarded");

	AddCondition(8, cf_trigger, "On RewardedVideo Available", "RewardedVideo", "On RewardedVideo Available", "On RewardedVideo Available", "onRewardedVideoAvailable");
	AddCondition(9, cf_trigger, "On RewardedVideo NoAd Available", "RewardedVideo", "On RewardedVideo NoAd Available", "On RewardedVideo NoAd Available", "onRewardedVideoNoAdAvailable");
	AddCondition(10, cf_trigger, "On RewardedVideo Error", "RewardedVideo", "On RewardedVideo Error", "On RewardedVideo Error", "onRewardedVideoError");
	AddCondition(11, cf_trigger, "On RewardedVideo Opened", "RewardedVideo", "On RewardedVideo Opened", "On RewardedVideo Opened", "onRewardedVideoOpened");
	AddCondition(12, cf_trigger, "On RewardedVideo Closed", "RewardedVideo", "On RewardedVideo Closed", "On RewardedVideo Closed", "onRewardedVideoClosed");
	AddCondition(13, cf_trigger, "On RewardedVideo Rewarded", "RewardedVideo", "On RewardedVideo Rewarded", "On RewardedVideo Rewarded", "onRewardedVideoRewarded");

//////////////////////////////////////
// Actions

	/*** - Banner Start - ***/
	AddStringParam("Zone ID", "Banner zone id");
	AddComboParamOption("TOP LEFT");
	AddComboParamOption("TOP CENTER");
	AddComboParamOption("TOP RIGHT");
	AddComboParamOption("LEFT");
	AddComboParamOption("CENTER");
	AddComboParamOption("RIGHT");
	AddComboParamOption("BOTTOM LEFT");
	AddComboParamOption("BOTTOM CENTER");
	AddComboParamOption("BOTTOM RIGHT");
	AddComboParam("Position", "Banner Position", 7);
	AddComboParamOption("320x50");
	AddComboParamOption("320x100");
	AddComboParamOption("250x250");
	AddComboParamOption("300x250");
	AddComboParamOption("468x60");
	AddComboParamOption("728x90");
	AddComboParamOption("160x600");
	AddComboParam("Size", "Choose the banner size.", 0);
	AddAction(0, af_none, "Create Banner", "Banner", "Create Tapsell Plus Banner. (ZoneId: {0})", "Create Banner", "createBanner");
	
	AddStringParam("Zone ID", "Banner zone id");
	AddNumberParam("X", "Distance from left", 0);
	AddNumberParam("Y", "Distance from top", 0);
	AddComboParamOption("320x50");
	AddComboParamOption("320x100");
	AddComboParamOption("250x250");
	AddComboParamOption("300x250");
	AddComboParamOption("468x60");
	AddComboParamOption("728x90");
	AddComboParamOption("160x600");
	AddComboParam("Size", "Choose the banner size.", 0);
	AddAction(1, af_none, "Create Banner At XY", "Banner", "Create Tapsell Plus Banner At XY. (ZoneId: {0})", "Create Banner At XY", "createBannerAtXY");
	
	AddAction(2, af_none, "Remove Banner", "Banner", "Remove Banner", "Remove Banner", "removeBanner");
	
	AddAction(3, af_none, "Show Banner", "Banner", "Show Banner", "Show Banner", "showBanner");
	
	AddAction(4, af_none, "Hide Banner", "Banner", "Hide Banner", "Hide Banner", "hideBanner");
	
	AddStringParam("Zone ID", "Banner zone id");
	AddNumberParam("Position", "Enter banner position", 7);
	AddNumberParam("Size", "Enter the banner size", 0);
	AddAction(5, af_none, "Create Banner 2", "Banner", "Create Tapsell Plus Banner. (ZoneId: {0})", "Create Banner", "createBanner");
	
	AddStringParam("Zone ID", "Banner zone id");
	AddNumberParam("X", "Distance from left", 0);
	AddNumberParam("Y", "Distance from top", 0);
	AddNumberParam("Size", "Enter the banner size", 0);
	AddAction(6, af_none, "Create Banner At XY 2", "Banner", "Create Tapsell Plus Banner At XY. (ZoneId: {0})", "Create Banner At XY 2", "createBannerAtXY");
	/*** - Banner End - ***/
	
	/*** - Interstitial Start - ***/
	AddStringParam("Zone ID", "Interstitial zone id");
	AddAction(7, af_none, "Request Interstitial", "Interstitial", "Request Interstitial. (ZoneId: {0})", "Request Interstitial", "requestInterstitial");
	
	AddStringParam("Response ID", "Response id");
	AddAction(8, af_none, "Show Interstitial", "Interstitial", "Show Interstitial", "Show Interstitial", "showInterstitial");
	/*** - Interstitial End - ***/
	
	/*** - RewardedVideo Start - ***/
	AddStringParam("Zone ID", "RewardedVideo zone id");
	AddAction(9, af_none, "Request RewardedVideo", "RewardedVideo", "Request RewardedVideo. (ZoneId: {0})", "Request RewardedVideo", "requestRewardedVideo");
	
	AddStringParam("Response ID", "Response id");
	AddAction(10, af_none, "Show RewardedVideo", "RewardedVideo", "Show RewardedVideo", "Show RewardedVideo", "showRewardedVideo");
	/*** - RewardedVideo End - ***/


//////////////////////////////////////////////////////////////
// Expressions
	AddExpression(1, ef_return_string, "Returns last error message.", "TapsellPlus", "ErrorMessage", "Returns last error message.");
	AddExpression(2, ef_return_string, "Returns last response id.", "TapsellPlus", "ResponseId", "Returns last response id.");

ACESDone();

//////////////////////////////////////
// Properties
	var property_list = [
		new cr.Property(ept_text, "App Key", "", "Tapsell Plus app key for your application")
	];

// Called by IDE when a new object type is to be created
function CreateIDEObjectType()
{
    return new IDEObjectType();
}

// Class representing an object type in the IDE
function IDEObjectType()
{
    assert2(this instanceof arguments.callee, "Constructor called as a function");
}

// Called by IDE when a new object instance of this type is to be created
IDEObjectType.prototype.CreateInstance = function(instance)
{
    return new IDEInstance(instance);
}

// Class representing an individual instance of an object in the IDE
function IDEInstance(instance, type)
{
    assert2(this instanceof arguments.callee, "Constructor called as a function");

    // Save the constructor parameters
    this.instance = instance;
    this.type = type;

    // Set the default property values from the property table
    this.properties = {};

    for (var i = 0; i < property_list.length; i++)
        this.properties[property_list[i].name] = property_list[i].initial_value;

    // Plugin-specific variables
    // this.myValue = 0...
}

// Called when inserted via Insert Object Dialog for the first time
IDEInstance.prototype.OnInserted = function()
{
}

// Called when double clicked in layout
IDEInstance.prototype.OnDoubleClicked = function()
{
}

// Called after a property has been changed in the properties bar
IDEInstance.prototype.OnPropertyChanged = function(property_name)
{
}

// For rendered objects to load fonts or textures
IDEInstance.prototype.OnRendererInit = function(renderer)
{
}

// Called to draw self in the editor if a layout object
IDEInstance.prototype.Draw = function(renderer)
{
}

// For rendered objects to release fonts or textures
IDEInstance.prototype.OnRendererReleased = function(renderer)
{
}

